Package com.io7m.waxmill.machines

# Class WXMGRUBKernelOpenBSD.Builder

java.lang.Object
com.io7m.waxmill.machines.WXMGRUBKernelOpenBSD.Builder

Enclosing class:
  WXMGRUBKernelOpenBSD

    public static final class WXMGRUBKernelOpenBSD.Builder
    extends java.lang.Object

Builds instances of type `WXMGRUBKernelOpenBSD`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMGRUBKernelOpenBSD` | `build()` | Builds a new `WXMGRUBKernelOpenBSD`.
  `WXMGRUBKernelOpenBSD.Builder` | `from​(WXMBootConfigurationType.WXMGRUBKernelOpenBSDType instance)` | Fill a builder with attribute values from the provided `WXMGRUBKernelOpenBSDType` instance.
  `WXMGRUBKernelOpenBSD.Builder` | `setBootDevice​(WXMDeviceSlot bootDevice)` | Initializes the value for the `bootDevice` attribute.
  `WXMGRUBKernelOpenBSD.Builder` | `setKernelPath​(java.nio.file.Path kernelPath)` | Initializes the value for the `kernelPath` attribute.
  `WXMGRUBKernelOpenBSD.Builder` | `setPartition​(java.lang.String partition)` | Initializes the value for the `partition` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXMGRUBKernelOpenBSD.Builder from​(WXMBootConfigurationType.WXMGRUBKernelOpenBSDType instance)
    Fill a builder with attribute values from the provided `WXMGRUBKernelOpenBSDType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setBootDevice

    public final WXMGRUBKernelOpenBSD.Builder setBootDevice​(WXMDeviceSlot bootDevice)
    Initializes the value for the `bootDevice` attribute.
    Parameters:
      `bootDevice` - The value for bootDevice
    Returns:
      `this` builder for use in a chained invocation

  - ### setPartition

    public final WXMGRUBKernelOpenBSD.Builder setPartition​(java.lang.String partition)
    Initializes the value for the `partition` attribute.
    Parameters:
      `partition` - The value for partition
    Returns:
      `this` builder for use in a chained invocation

  - ### setKernelPath

    public final WXMGRUBKernelOpenBSD.Builder setKernelPath​(java.nio.file.Path kernelPath)
    Initializes the value for the `kernelPath` attribute.
    Parameters:
      `kernelPath` - The value for kernelPath
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXMGRUBKernelOpenBSD build()
    Builds a new `WXMGRUBKernelOpenBSD`.
    Returns:
      An immutable instance of WXMGRUBKernelOpenBSD
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing